using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace WpfApp3
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Test> Source { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            this.Source = new ObservableCollection<Test>();

            for (int i = 0; i < 10; i++)
            {
                this.Source.Add(new Test() { Name = "Client " + i });
            }

            this.radGrid.ItemsSource = this.Source;

            GridViewDataColumn column = new GridViewDataColumn();

            column.Header = "Test Column";
            column.UniqueName = "UniqueNameColumn";
            column.Width = 20;
            column.DataMemberBinding = new Binding("Name");

            this.radGrid.AutoGenerateColumns = false;
            this.radGrid.Columns.Add(column);
        }
    }

    public class Test
    {
        public string Name { get; set; }
    }
}
